Package de.willuhn.jameica.hbci.io

# Interface Importer

All Superinterfaces:
  `IO`

All Known Implementing Classes:
  `AbstractDTAUSImporter`, `AbstractImporter`, `AbstractSepaImporter`, `Banking4UmsatzTypImporter`, `CamtUmsatzImporter`, `CsvImporter`, `DTAUSUmsatzImporter`, `MoneyplexUmsatzImporter`, `MT940UmsatzImporter`, `SepaLastschriftImporter`, `SepaSammelLastschriftImporter`, `SepaSammelUeberweisungImporter`, `SepaUeberweisungImporter`, `XMLImporter`, `XMLKontoauszugImporter`, `XMLSepaSammelTransferImporter`, `XMLUmsatzImporter`, `XMLUmsatzTypImporter`

public interface Importer extends IO
Basis-Interface aller Importer.

Alle Klassen, die dieses Interface implementieren, werden automatisch von Hibiscus erkannt und dem Benutzer als Import-Möglichkeit angeboten, wenn sie einen parameterlosen Konstruktor mit dem Modifier "public" besitzen (Java-Bean-Konvention).

See Also:
  - `IORegistry`

## Method Summary

Modifier and Type
Method
Description
`void`
`doImport(Object context, IOFormat format, InputStream is, de.willuhn.util.ProgressMonitor monitor, de.willuhn.jameica.system.BackgroundTask t)`
Importiert Daten aus dem InputStream.

### Methods inherited from interface de.willuhn.jameica.hbci.io.IO

`getIOFormats, getName`

## Method Details

### doImport

void doImport(Object context, IOFormat format, InputStream is, de.willuhn.util.ProgressMonitor monitor, de.willuhn.jameica.system.BackgroundTask t) throws RemoteException, de.willuhn.util.ApplicationException
Importiert Daten aus dem InputStream.

Parameters:
  `context` - Context, der dem Importer hilft, den Zusammenhang zu erkennen, in dem er aufgerufen wurde. Das kann zum Beispiel ein Konto sein.
  `format` - das vom User ausgewaehlte Import-Format.
  `is` - der Stream, aus dem die Daten gelesen werden.
  `monitor` - ein Monitor, an den der Importer Ausgaben ueber seinen Bearbeitungszustand ausgeben kann. Der Importer muss den Import-Stream selbst schliessen!
  `t` - der `BackgroundTask`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`